## rb-statusbar

rb-statusbar

## Synopsis

    typedef             RBStatusbarPrivate;
    RBStatusbar*        rb_statusbar_new                    (RhythmDB *db,
                                                             GtkUIManager *uimanager);
    void                rb_statusbar_set_source             (RBStatusbar *bar,
                                                             RBSource *player);
    void                rb_statusbar_set_progress           (RBStatusbar *bar,
                                                             double progress,
                                                             const char *text);

## Description

## Details

### RBStatusbarPrivate

    typedef struct RBStatusbarPrivate RBStatusbarPrivate;

### rb_statusbar_new ()

    RBStatusbar*        rb_statusbar_new                    (RhythmDB *db,
                                                             GtkUIManager *uimanager);

`db` : |
`uimanager` : |
Returns : |

### rb_statusbar_set_source ()

    void                rb_statusbar_set_source             (RBStatusbar *bar,
                                                             RBSource *player);

`bar` : |
`player` : |

### rb_statusbar_set_progress ()

    void                rb_statusbar_set_progress           (RBStatusbar *bar,
                                                             double progress,
                                                             const char *text);

`bar` : |
`progress` : |
`text` : |